Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3945 - "klone+sgr" line seems to be buggy (ANSI.SYS)
Summary: "klone+sgr" line seems to be buggy (ANSI.SYS)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: termcap
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-08 12:00 UTC by skopp
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-21 17:12:16 UTC


Attachments (Terms of Use)

Description skopp 1999-07-08 12:00:25 UTC
I have just discovered that there seems to be a bug
in /etc/termcap.  I don't know these termcap things well,
but like to inform you anyway:

I have discovered this on RedHat Linux 5.0 and 6.0.

Currently I have just access to RedHat Linux 5.0, there the
file has version 9.12.0.

Ok, now to the bug.  It's in the "klone+sgr" line:

# Highlight controls corresponding to the ANSI.SYS
standard.  Most
# console drivers for Intel boxes obey these.  Makes the
same assumption
# about \E[11m as klone+acs.  True ANSI would have rmso=\E
[27m, rmul=\E[24m,
# but this isn't a documented feature of ANSI.SYS.
klone+sgr|attribute control for ansi.sys displays:\
        :S2=\E[11m:S3=\E[10m:ae=\E[11m:as=\E11m:mb=\E[5m:\
        :md=\E[1m:me=\E[0;10m:mk=\E[8m:mr=\E[7m:\
        :..sa=\E[0;10%?%p1%t;7%;%?%p2%t;4%;%?%p3%t;7%;%?%p4%
t;5%;%?%p6%t;1%;%?%
        :se=\E[m:so=\E[7m:ue=\E[m:us=\E[4m:

Here, in the line

        :S2=\E[11m:S3=\E[10m:ae=\E[11m:as=\E11m:mb=\E[5m:\
                                         ------

there should be as=\E[11m instead as=\E11m.  Just my idea.

I was doing some color-enhancements on the linux-console
and found out the error while having problems with the
enhancements.  After setting as=\E[11m all worked well...

BTW, my console now looks cool with the color
enhancements.  man-pages have the important parts in "white-
on-red" and the less command uses "yellow-on-blue" for
status info.  I am having much more fun with the console -
maybe this is worth to implement into further RHL releases.
If you like to have it, just gimme a short mail.

I will inform terminfo@ccil.org, the maintainer
of /etc/termcap as well.

Comment 1 Jeff Johnson 1999-08-21 17:12:59 UTC
Informing the maintainer of /etc/termcap is the Right Thing To Do
here.


Note You need to log in before you can comment on or make changes to this bug.